# $Revision: 1.24 $, $Date: 2002/06/30 13:24:32 $
Summary:	Unix port of Borland TurboVision library
Summary(pl):	Uniksowa wersja biblioteki TurboVision Borlanda
Name:		tvision
Version:	0.8
Release:	4
License:	Borland, some modifications are BSD-like licensed (generally free)
Group:		Libraries
Source0:	ftp://sunsite.unc.edu/pub/Linux/devel/lang/c++/%{name}-%{version}.tar.gz
Patch0:		%{name}-info.patch
Patch1:		%{name}-am_fixes.patch
Patch2:		%{name}-endian.h.patch
URL:		http://www.sigala.it/sergio/tvision/
BuildRequires:	gcc-c++
BuildRequires:	gpm-devel
BuildRequires:	ncurses-devel
Prereq:		/sbin/ldconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Turbo Vision (or TV, for short) is a library that provides an
application framework. With TV you can write a beautiful
object-oriented character-mode user interface in a short time.

TV is available in C++ and Pascal and is a product of Borland
International. It was developed to run on MS-DOS systems, but today it
is available for many other platforms (ported by independent
programmers).

This port is based on the Borland 2.0 version with fixes.

%description -l pl
Uniksowa wersja biblioteki TurboVision 2.0 Borlanda. TurboVision jest
obiektow bibliotek do okienkowych interfejsw uytkownika w trybie
tekstowym.

%package devel
Summary:	%{name} header files
Summary(pl):	Pliki nagwkowe %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
tvision header files.

%description devel -l pl
Pliki nagwkowe tvision.

%package static
Summary:	Static %{name} libraries
Summary(pl):	Biblioteki statyczne %{name}
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static tvision libraries.

%description static -l pl
Biblioteki statyczne tvision.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
CXXFLAGS="-I%{_includedir}/ncurses -fno-exceptions -fno-rtti -fno-implicit-templates"
%configure

sed 's|<sys/time.h>|<time.h>|' demo/puzzle.cc > demo/puzzle.cc.$$ && mv -f demo/puzzle.cc.$$ demo/puzzle.cc
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_infodir},%{_examplesdir}/%{name}}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install doc/tvision.info $RPM_BUILD_ROOT%{_infodir}

# some cleaning
%{__make} -C tutorial mostlyclean
%{__make} -C demo     mostlyclean
rm -f demo/Makefile*
rm -f tutorial/Makefile*
rm -f doc/{*.info,*.texi,*.tex,*.sed,*.kdoc,Makefile*}

# let's create simple Makefile ("\$" to prevent from macro expansion)
cat >tutorial/Makefile  <<EOF
CPPFLAGS = -g
LDFLAGS = -lncurses -lgpm -ltvision

SOURCES := \$(wildcard *.cc)
PROGS   := \$(patsubst %.cc,%,\$(SOURCES))

all: \$(PROGS)
EOF

cp -ar demo tutorial $RPM_BUILD_ROOT%{_examplesdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc doc ChangeLog README TODO Announce COPYRIGHT
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_infodir}/*

%files devel
%defattr(644,root,root,755)
%doc doc/*
%{_includedir}/*
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_examplesdir}/%{name}

%files static
%defattr(644,root,root,755)
%attr(644,root,root) %{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: tvision.spec,v $
Revision 1.24  2002/06/30 13:24:32  kloczek
- release 4: use new %doc and added URL.

Revision 1.23  2002/03/27 11:53:21  roman
s/BSD-style/BSD-like

Revision 1.22  2002/02/23 04:55:17  kloczek
- adapterized.

Revision 1.21  2002/02/22 23:29:49  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/01/18 02:15:14  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/12/01 13:27:47  kloczek
- release 3,
- added -fno-implicit-templates to CXXFLAGS,
- added am_fixes patch: remove dupuble linking static library and
  link with shared tvision library demo and tutorial programs,
- added endian.h patch: use systeme installed endian.h instead private
  myendian.h (fix which allow use tvision header files which now uses system
  installed endian.h).

Revision 1.18  2001/11/10 17:00:35  kloczek
- s/gcc-g++/gcc-c++/

Revision 1.17  2001/11/10 16:17:05  kloczek
- release 2,
- added BuildRequires rules,
- doc, demo, tutorial moved to devel.

Revision 1.16  2001/11/10 06:08:15  kloczek
- updated to 0.8.

Revision 1.15  2001/10/03 11:05:48  qboosh
- adapterized, added Source URL and Prereq: /sbin/ldconfig
note: I found rhtvision-1.0.10 - probably different unix TV port

Revision 1.14  2001/07/26 05:42:25  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.12  2001/04/18 16:11:24  mis
- fixed demo/puzzle.cc include directive
- added description

Revision 1.11  2000/11/12 20:11:56  kloczek
- modyfications for using neew rpm automation.

Revision 1.10  2000/06/09 07:55:12  kloczek
- more %%{__make} macros.

Revision 1.9  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.8  2000/05/24 16:50:47  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.7  2000/05/01 20:11:42  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.6  2000/04/24 11:30:24  klakier
- added libs stripping

Revision 1.5  2000/04/23 21:49:31  klakier
- added static and devel packages
- added simple Makefile for tutorial
- separated binaries adn sources from tutorial and demo
- ... now it seems to work: demo apps build and ruc correctly.
  I had some problems running them in the past, I don't know why...

Revision 1.4  2000/04/23 21:46:08  klakier

Revision 1.3  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.1  2000/01/29 10:45:44  klakier
- initial version
  TODO:
  o tvision-0.7 builds with ncurses 5.0 but any programs dump core
    must wait for newer version or patches.
  o devel package for header files
